%global srcname mbed-cli
%global sum Command Line Tool for ARM mbed OS

Name:           python-%{srcname}
Version:        1.5.0
Release:        1%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            https://github.com/ARMmbed/%{srcname}
Source0:        https://github.com/ARMmbed/%{srcname}/archive/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel

%description
ARM mbed OS tools.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
ARM mbed OS tools.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py test

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python2-%{srcname}
%license LICENSE
%doc README.md
%{python2_sitelib}/*
%{_bindir}/mbed
%{_bindir}/mbed-cli

%changelog
* Sun Mar 25 2018 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.5.0-1
- initial spec file
